<div class="login-form">
  <div class="form-signin">
    <form class="" #f="ngForm" (ngSubmit)="f.valid && signIn(f)">
      <h2 class="form-signin-heading text-uppercase f-normal f-21">
        Login to your account
      </h2>

      <!-- <div class="position-relative">
        <mat-form-field appearance="outline">
          <mat-label>Email</mat-label>
          <input type="Email" matInput name="email" ngModel #email="ngModel" email required />
          <img src="../../assets/images/icons/outline_email_black_1x.png" class="input-icon" />
          <mat-error *ngIf="email.invalid && email.errors['required']">Please enter email.</mat-error>
          <mat-error *ngIf="email.invalid && email.errors['email']">Please enter a valid email address</mat-error>
        </mat-form-field>
      </div> -->

      <!-- <div class="position-relative">
        <mat-form-field appearance="outline">
          <mat-label>Password</mat-label>
          <input type="password" matInput name="password" ngModel #password="ngModel" required />
          <img src="../../assets/images/icons/outline_vpn_key_black_1x.png" class="input-icon" />
          <mat-error *ngIf="password.invalid && password.errors['required']">Please enter password.</mat-error>
        </mat-form-field>
        <mat-error *ngIf="invalidLogin">Incorrect email or password.</mat-error>
      </div> -->

      <!-- <div class="m-b-20">
        <div class="pull-right">
          <a routerLink="/forgot-password">Forgot Password?</a>
        </div>
        <div class="clearfix"></div>
      </div>

      <div class="text-center">
        <button mat-raised-button [disabled]="showLoader" class="btn-block text-uppercase m-b-40">
          Login <i *ngIf="showLoader" class="fa fa-circle-o-notch m-l-15 fa-spin f-21"></i>
        </button>
        <span class="text-line f-18 f-gray display-block m-b-40 m-t-40">OR</span>
      </div> -->
    </form>
    <div class="text-center">
      <button [disabled]="showIntuitLoader" class="btn btn-lg f-blue btn-white f-semiBold"
        (click)="getIntuiteSignInUrl()">
        intuit
        <span class="f-12 f-normal">sign in with intuit</span>
        <i *ngIf="showIntuitLoader" class="fa fa-circle-o-notch m-l-15 fa-spin f-21"></i>
      </button>
      <!-- <p class="m-t-40">Don't have an account?</p>
      <a class="f-blue " routerLink="/create-account">Create an account</a> -->
    </div>
  </div>
</div>